/*
 * System Interface Library for games
 * Copyright (c) 2007-2014 Andrew Church <achurch@achurch.org>
 * Released under the GNU GPL version 3 or later; NO WARRANTY is provided.
 * See the file COPYING.txt for details.
 *
 * src/sysdep/ios/userdata.h: Internal header for iOS user data access
 * routines.
 */

#ifndef SIL_SRC_SYSDEP_IOS_USERDATA_H
#define SIL_SRC_SYSDEP_IOS_USERDATA_H

/*************************************************************************/
/*************************************************************************/

/**
 * ios_userdata_init:  Initialize the iOS-specific userdata functionality.
 * This must be called during program startup.
 *
 * [Return value]
 *     True on success, false on error.
 */
extern int ios_userdata_init(void);

/*************************************************************************/
/*************************************************************************/

#endif  // SIL_SRC_SYSDEP_IOS_USERDATA_H

/*
 * Local variables:
 *   c-file-style: "stroustrup"
 *   c-file-offsets: ((case-label . *) (statement-case-intro . *))
 *   indent-tabs-mode: nil
 * End:
 *
 * vim: expandtab shiftwidth=4:
 */
